package com.syjy.calculate.entity;

import com.sun.org.apache.bcel.internal.generic.BIPUSH;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 计算考核请求参数
 *
 * @author zcl
 * @version 1.0
 * @since 2022/11/18 10:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentRequest implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 省调
     */
    private String province;

    /**
     * 场站类型:风/光(E1/E2)
     */
    private String electricType;

//    /**
//     * 风场站额定容量
//     */
//    private BigDecimal windRatedCapacity;
//
//    /**
//     * 光场站额定容量
//     */
//    private BigDecimal photoElectricityRatedCapacity;

    /**
     * 额定容量
     */
    private BigDecimal ratedCapacity;

    /**
     * 发电量
     */
    private BigDecimal powerGeneration;

    /**
     * 短期上报率考
     */
    private BigDecimal shortReportRate;

    /**
     * 超短期上报率
     */
    private BigDecimal ultraShortReportRate;

    /**
     * 短期准确率
     */
    private BigDecimal shortAccuracyRate;

    /**
     * 超短期准确率
     */
    private BigDecimal ultraShortAccuracyRate;

    /**
     * 短期合格率
     */
    private BigDecimal shortPassRate;

    /**
     * 超短期合格率
     */
    private BigDecimal ultraShortPassRate;

    public AssessmentRequest(String province, String electricType, BigDecimal ratedCapacity, BigDecimal powerGeneration, BigDecimal shortReportRate, BigDecimal ultraShortReportRate, BigDecimal shortAccuracyRate ,BigDecimal ultraShortAccuracyRate ,BigDecimal shortPassRate,BigDecimal ultraShortPassRate)
    {
        this.setProvince(province);
        this.setElectricType(electricType);
        this.setRatedCapacity(ratedCapacity);
        this.setPowerGeneration(powerGeneration);
        this.setShortReportRate(shortReportRate);
        this.setUltraShortReportRate(ultraShortReportRate);
        this.setShortAccuracyRate(shortAccuracyRate);
        this.setUltraShortAccuracyRate(ultraShortAccuracyRate);
        this.setShortPassRate(shortPassRate);
        this.setUltraShortPassRate(ultraShortPassRate);
    }

    public AssessmentRequest(){}

}
