package com.syjy.calculate.util;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.io.file.FileWriter;
import cn.hutool.core.text.StrBuilder;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.db.Db;
import cn.hutool.db.DbUtil;
import cn.hutool.db.Entity;
import cn.hutool.db.ds.DSFactory;
import com.googlecode.aviator.AviatorEvaluator;
import com.syjy.calculate.entity.CalculateResult;
import lombok.Data;
import lombok.SneakyThrows;
import lombok.experimental.Accessors;
import org.springframework.stereotype.Component;

import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 生成sql文件工具
 *
 * @author zcl
 * @version 1.0
 * @since 2022/8/8 9:30
 */
@Component
public class CommonlUtil {

    /**
     *
     * @param formulaContent 公式内容
     * @param province 省调
     * @param formulaType 公式类型
     * @param electricType 场站类型
     * @param calculateType 计算类型(计算/规则)
     */
    public String initFormula(String formulaContent ,String province, String formulaType, String electricType, String calculateType) {
        //缓存公式名称
        String scriptName = province + CalculateResult.UNDERLINE + formulaType + CalculateResult.UNDERLINE + electricType + CalculateResult.UNDERLINE + calculateType;
        // 初始化公式并缓存公式
        if (AviatorEvaluator.getInstance().getCachedExpressionByKey(scriptName) == null) {
            AviatorEvaluator.getInstance().compile(scriptName, formulaContent, true);
        }
        return scriptName;
    }



}
